package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.ProfileRepository;
import me.akito123321.valoStrats.schemas.Profile;

@Service
public class ProfileService {
	
	@Autowired
	private ProfileRepository profileRepository;

	public Profile getProfileById(String id) {
		return profileRepository.findById(id).orElse(null);
	}

	public void saveProfile(Profile profile) {
		profileRepository.save(profile);
	}
	
	public void removeProfile(Profile profile) {
		profileRepository.delete(profile);
	}
	
}
