package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.StratStateRepository;
import me.akito123321.valoStrats.schemas.StratState;

@Service
public class StratStateService {
	
	@Autowired
	private StratStateRepository stratStateRepository;

	public StratState getStratStateById(String id) {
		return stratStateRepository.findById(id).orElse(null);
	}

	public void saveStratState(StratState stratState) {
		stratStateRepository.save(stratState);
	}

	public void removeStratState(StratState stratState) {
		stratStateRepository.delete(stratState);
	}
	
}
